Package com.smartgwt.client.types

# Enum MultiMessageMode

java.lang.Object
java.lang.Enum<MultiMessageMode>
com.smartgwt.client.types.MultiMessageMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<MultiMessageMode>`, `Constable`

public enum MultiMessageMode extends Enum<MultiMessageMode> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `REPLACE`
  messages of the same `NotifyType` replace each other
  `STACK`
  messages of the same `NotifyType` are arranged in a stack

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static MultiMessageMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static MultiMessageMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STACK

    public static final MultiMessageMode STACK
    messages of the same `NotifyType` are arranged in a stack

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "stack".

  - ### REPLACE

    public static final MultiMessageMode REPLACE
    messages of the same `NotifyType` replace each other

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "replace".

- ## Method Details

  - ### values

    public static MultiMessageMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static MultiMessageMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`